Docs

Reference

Get a call

One call by id: current state, direction, end reason, duration, the 4 verification emoji, a quality summary. Follow a call with this or the call.state_changed / call.ended events.

View MarkdownThis page is generated from the source code on every release.

One call by id: current state, direction, end reason, duration, the 4 verification emoji, a quality summary. Follow a call with this or the call.state_changed / call.ended events.

Overview

Name Value
Code calls.get
Scope needed messages.read
Risk Read
May need confirmation No
Runs as Answers right away
Needs Idempotency-Key No
Member roles allowed owner, manager, agent
In the app Inbox → call panel

Input fields

Field Type Required Description
callId uuid Yes

Example request

curl -X POST https://tlg.builera.app/api/public/v2/ops/calls.get \
  -H "Authorization: Bearer $TELEGRAM_AUTO_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"callId":"00000000-0000-0000-0000-000000000000"}'

Output fields (data)

Field Type Required
ok true Yes
call object Yes
answer null | object Yes

Example answer

{
  "data": {
    "ok": true,
    "call": {
      "id": "00000000-0000-4000-8000-000000000000",
      "accountId": "00000000-0000-4000-8000-000000000000",
      "conversationId": "00000000-0000-4000-8000-000000000000",
      "peerId": "00000000-0000-4000-8000-000000000000",
      "direction": "outgoing",
      "state": "active",
      "endReason": "failed",
      "errorCode": "text",
      "origin": "automation",
      "initiatedVia": "telegram",
      "emoji": "text",
      "quality": {},
      "audio": {
        "epoch": 1,
        "heldBy": "text",
        "since": "text"
      },
      "startedAt": "2026-10-22T12:00:00.000Z",
      "ringingAt": "2026-10-22T12:00:00.000Z",
      "answeredAt": "2026-10-22T12:00:00.000Z",
      "endedAt": "2026-10-22T12:00:00.000Z",
      "durationSec": 1,
      "updatedAt": "2026-10-22T12:00:00.000Z"
    },
    "answer": {
      "ready": true,
      "reason": "calls_disabled",
      "message": "text"
    }
  }
}

Using it over MCP

Not listed on any profile: call tools_describe then tools_run with code: "calls.get". Tool name when listed: calls_get.

Was this page helpful?

Last checked: 10/24/2026 · build 2.0